//
// Este fichero es una copia del de ad27 
//

package com.ejie.ad74a.sga.xml;

import javax.xml.bind.annotation.XmlRegistry;

/**
 * This object contains factory methods for each Java content interface and Java
 * element interface generated in the com.ejie.ad74a.sga.xml package.
 * <p>
 * An ObjectFactory allows you to programatically construct new instances of the
 * Java representation for XML content. The Java representation of XML content
 * can consist of schema derived interfaces and classes representing the binding
 * of schema type definitions, element declarations and model groups. Factory
 * methods for each of these are provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

	/**
	 * Create a new ObjectFactory that can be used to create new instances of schema
	 * derived classes for package: com.ejie.ad74a.sga.xml
	 * 
	 */
	public ObjectFactory() {
	}

	/**
	 * Create an instance of {@link Datos }
	 * 
	 */
	public Datos createDatos() {
		return new Datos();
	}

	/**
	 * Create an instance of {@link Inicio }
	 * 
	 */
	public Inicio createInicio() {
		return new Inicio();
	}

	/**
	 * Create an instance of {@link Inicio.Fichero }
	 * 
	 */
	public Inicio.Fichero createInicioFichero() {
		return new Inicio.Fichero();
	}

	/**
	 * Create an instance of {@link Inicio.Fichero.Registro }
	 * 
	 */
	public Inicio.Fichero.Registro createInicioFicheroRegistro() {
		return new Inicio.Fichero.Registro();
	}

	/**
	 * Create an instance of {@link Datos.Archivo }
	 * 
	 */
	public Datos.Archivo createDatosArchivo() {
		return new Datos.Archivo();
	}

	/**
	 * Create an instance of {@link Datos.Archivo.Documentoselectronicos }
	 * 
	 */
	public Datos.Archivo.Documentoselectronicos createDatosArchivoDocumentoselectronicos() {
		return new Datos.Archivo.Documentoselectronicos();
	}

	/**
	 * Create an instance of {@link Datos.Archivo.Documentoselectronicos.Documento }
	 * 
	 */
	public Datos.Archivo.Documentoselectronicos.Documento createDatosArchivoDocumentoselectronicosDocumento() {
		return new Datos.Archivo.Documentoselectronicos.Documento();
	}

	/**
	 * Create an instance of
	 * {@link Datos.Archivo.Documentoselectronicos.Documento.Versiones }
	 * 
	 */
	public Datos.Archivo.Documentoselectronicos.Documento.Versiones createDatosArchivoDocumentoselectronicosDocumentoVersiones() {
		return new Datos.Archivo.Documentoselectronicos.Documento.Versiones();
	}

	/**
	 * Create an instance of {@link Datos.Archivo.Signaturas }
	 * 
	 */
	public Datos.Archivo.Signaturas createDatosArchivoSignaturas() {
		return new Datos.Archivo.Signaturas();
	}

	/**
	 * Create an instance of {@link Datos.Registro }
	 * 
	 */
	public Datos.Registro createDatosRegistro() {
		return new Datos.Registro();
	}

	/**
	 * Create an instance of {@link Inicio.Fichero.Registro.Error }
	 * 
	 */
	public Inicio.Fichero.Registro.Error createInicioFicheroRegistroError() {
		return new Inicio.Fichero.Registro.Error();
	}

	/**
	 * Create an instance of {@link Datos.Archivo.Identificacion }
	 * 
	 */
	public Datos.Archivo.Identificacion createDatosArchivoIdentificacion() {
		return new Datos.Archivo.Identificacion();
	}

	/**
	 * Create an instance of {@link Datos.Archivo.Contexto }
	 * 
	 */
	public Datos.Archivo.Contexto createDatosArchivoContexto() {
		return new Datos.Archivo.Contexto();
	}

	/**
	 * Create an instance of {@link Datos.Archivo.Contenido }
	 * 
	 */
	public Datos.Archivo.Contenido createDatosArchivoContenido() {
		return new Datos.Archivo.Contenido();
	}

	/**
	 * Create an instance of {@link Datos.Archivo.Expdtesrelacionados }
	 * 
	 */
	public Datos.Archivo.Expdtesrelacionados createDatosArchivoExpdtesrelacionados() {
		return new Datos.Archivo.Expdtesrelacionados();
	}

	/**
	 * Create an instance of
	 * {@link Datos.Archivo.Documentoselectronicos.Documento.Versiones.Version }
	 * 
	 */
	public Datos.Archivo.Documentoselectronicos.Documento.Versiones.Version createDatosArchivoDocumentoselectronicosDocumentoVersionesVersion() {
		return new Datos.Archivo.Documentoselectronicos.Documento.Versiones.Version();
	}

	/**
	 * Create an instance of {@link Datos.Archivo.Signaturas.Signatura }
	 * 
	 */
	public Datos.Archivo.Signaturas.Signatura createDatosArchivoSignaturasSignatura() {
		return new Datos.Archivo.Signaturas.Signatura();
	}

}
